MTINKD(8)

NAME
mtinkd.fr - Application en arrière-plan pour contrôler votre imprimante EPSON

SYNOPSIS

mtinkd [-dev device_file] [-name model] [-usbbase pattern_device_file] [-nodaemaon] [-model model_name] [-debug] [[start] | [stop] | [status]]

DESCRIPTION

Cette page de manuel décrit brièvement la commande mtinkd.

Cette page de manuel a été écrite pour la distribution Debian GNU/Linux, car le programme original ne possédait pas de page de manuel.

mtinkd est un outil de surveillance d'état pour imprimante à jet d'encre EPSON.

Il permet de surveiller la quantité d'encre restante, pendant l'impression.

Comme cela nécessite de garder ouvert /dev/lp*, vous devez changer vos paramètres d'impression, de façon à ce que l'imprimante utilise le fichier /var/run/mtink/printer.

OPTIONS

Ce programme suit les conventions des commandes en ligne GNU, avec des options longues, commençant par deux tirets (« - »). Un résumé des options est inclus ci-dessous.

Options pour mtinkd

-dev fichier_périphérique
    Cette option est obligatoire. Elle est aussi utilisée pour récupérer l'état ou arrêter un serveur en exécution. Le fichier de périphérique est le nom du fichier de périphérique, en mode caractères, auquel l'imprimante est attachée ( /dev/lp0, /dev/usb/lp0, /dev/ecpp0 ).

-nodaemon
    Cette option est utilisée pour réaliser des tests, sans elle, mtink démarre en tâche de fond.

-name modèle
    Si l'imprimante ne renvoie pas son identifiant, cette option vous permet de fournir ce renseignement. Le nom est dérivé du nom officiel de l'imprimante en remplaçant les espaces par des soulignés « _ ». C'est, par exemple, le cas pour l'imprimante Stylus Scan 2500 (le nom du modèle est Scan_2500).

    Cette option peut aussi être utile pour les périphériques multifonctions comme l'imprimante Stylus Photo 895 sous Linux. Si l'imprimante est éteinte puis rallumée, le pilote USB ne détectera pas correctement l'imprimante et mtinkd devra être arrêté et redémarré.

-model nom_modèle
    Le nom du tube nommé (« pipe ») sera défini d'après ce nom. Si l'option nom_modèle n'est pas utilisée, mtinkd échouera si l'identification n'est pas conforme au nom passé en argument.

-usbbase
    Cette option requiert un appel système particulier qui est seulement implémenté dans les noyaux récents.

    L'option « -type modèle » est requise !

    Chemin et fichier de périphérique peuvent être /usr/usblp ou /usr/usb/lp. Tous les fichiers de périphériques correspondant au nom défini seront parcourus pour trouver l'imprimante voulue. Le fichier de périphérique sera alors utilisé par la suite.

    Si le noyau ne prend pas en charge cet appel système spécial, la recherche échouera et, si l'option « -dev fichier_périphérique » a été utilisée, le nom du fichier de périphérique donné sera utilisé.

start
    Le serveur va être démarré. « start » peut être omis.

stop
    Le serveur en fonctionnement va être arrêté.

status
    Cela permet de savoir si le serveur est en fonctionnement.

LICENCE

Cette page de manuel a été écrite à l'origine par Sylvain Le Gall <gildor@debian.org> pour la distribution Debian GNU/Linux (mais peut être utilisé par d'autres). La permission est accordée de copier, distribuer et/ou modifier ce document sous les termes de la licence GNU Lesser General Public License, version 2.1 ou ultérieure telle que publiée par la Free Software Foundation ; en considérant comme du code source tous les fichiers qui ont permis la production de cette page de manuel.

VOIR AUSSI

/usr/share/doc/mtink/html/index.html

AUTHOR

Liste de traduction française <debian-l10-french@lists.debian.org>
    Author.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006 Sylvain Le Gall